"use strict";

require("core-js/modules/web.dom.iterable");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SelectedMailableOptionsContainer = exports.SelectedMailableContainer = exports.SelectableMailableButton = exports.MailablesList = exports.WindowHeader = exports.Val = exports.Text = exports.QueryList = exports.Para = exports.textCss = exports.InlineHeader = exports.Header = exports.FullWithMargin = exports.Full = exports.FieldTripRecordButton = exports.CallRecordIcon = exports.CallRecordButton = exports.CallRecordRow = exports.Half = exports.Container = exports.Button = exports.Bold = exports.ToggleCallButton = exports.FieldTripsButton = exports.ControlsContainer = exports.CallTimeCounter = exports.CallHistoryButton = void 0;

var _reactBootstrap = require("react-bootstrap");

var _styledComponents = _interopRequireWildcard(require("styled-components"));

var _icon = _interopRequireDefault(require("../util/icon"));

var _callTimeCounter = _interopRequireDefault(require("./call-time-counter"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

// Call Taker Controls Components
const RED = '#C35134';
const BLUE = '#1C4D89';
const GREEN = '#6B931B';
const PURPLE = '#8134D3';
const circleButtonStyle = (0, _styledComponents.css)`
  border: none;
  border-radius: 50%;
  box-shadow: 2px 2px 4px #000000;
  color: white;
  position: absolute;
  z-index: 999999;
`;
const CallHistoryButton = _styledComponents.default.button`
  ${circleButtonStyle}
  background-color: ${GREEN};
  height: 40px;
  margin-left: 69px;
  top: 140px;
  width: 40px;
`;
exports.CallHistoryButton = CallHistoryButton;
const CallTimeCounter = (0, _styledComponents.default)(_callTimeCounter.default)`
  background-color: ${BLUE};
  border-radius: 20px;
  box-shadow: 2px 2px 4px #000000;
  color: white;
  font-weight: 600;
  margin-left: -8px;
  position: absolute;
  text-align: center;
  top: 241px;
  width: 80px;
  z-index: 999999;
`;
exports.CallTimeCounter = CallTimeCounter;
const ControlsContainer = _styledComponents.default.div`
  position: relative;
`;
exports.ControlsContainer = ControlsContainer;
const FieldTripsButton = _styledComponents.default.button`
  ${circleButtonStyle}
  background-color: ${PURPLE};
  height: 50px;
  margin-left: 80px;
  top: 190px;
  width: 50px;
`;
exports.FieldTripsButton = FieldTripsButton;
const ToggleCallButton = _styledComponents.default.button`
  ${circleButtonStyle}
  background-color: ${props => props.callInProgress ? RED : BLUE};
  height: 80px;
  margin-left: -8px;
  top: 154px;
  width: 80px;
`; // Field Trip Windows Components

exports.ToggleCallButton = ToggleCallButton;
const Bold = _styledComponents.default.strong``;
exports.Bold = Bold;
const Button = (0, _styledComponents.default)(_reactBootstrap.Button)`
  margin-left: 5px;
`;
exports.Button = Button;
const Container = _styledComponents.default.div`
  display: flex;
  flex-flow: row wrap;
`;
exports.Container = Container;
const Half = _styledComponents.default.div`
  width: 50%
`;
exports.Half = Half;
const CallRecordRow = _styledComponents.default.div`

`;
exports.CallRecordRow = CallRecordRow;
const CallRecordButton = _styledComponents.default.button`
  display: flex;
  flexDirection: row;
  width: 100%;
`;
exports.CallRecordButton = CallRecordButton;
const CallRecordIcon = (0, _styledComponents.default)(_icon.default)`
  margin-right: 3px;
  padding-top: 4px;
`; // Make sure button extends to end of window.

exports.CallRecordIcon = CallRecordIcon;
const FieldTripRecordButton = _styledComponents.default.button`
  display: inline-block;
  width: 100%;
  width: -moz-available;
  width: -webkit-fill-available;
  width: fill-available;
`;
exports.FieldTripRecordButton = FieldTripRecordButton;
const Full = _styledComponents.default.div`
  width: 100%
`;
exports.Full = Full;
const FullWithMargin = (0, _styledComponents.default)(Full)`
  margin-top: 10px;
`;
exports.FullWithMargin = FullWithMargin;
const Header = _styledComponents.default.h4`
  margin-bottom: 5px;
  width: 100%;
`;
exports.Header = Header;
const InlineHeader = (0, _styledComponents.default)(Header)`
  display: inline;
`;
exports.InlineHeader = InlineHeader;
const textCss = (0, _styledComponents.css)`
  font-size: 0.9em;
  margin-bottom: 0px;
`;
exports.textCss = textCss;
const Para = _styledComponents.default.p`
  ${textCss}
`;
exports.Para = Para;
const QueryList = _styledComponents.default.ul`
  list-style: none;
  margin-left: 22px;
  padding-left: 0;
`;
exports.QueryList = QueryList;
const Text = _styledComponents.default.span`
  ${textCss}
`;
exports.Text = Text;
const Val = _styledComponents.default.span`
  :empty:before {
    color: #685C5C;
    content: 'N/A';
  }
`;
exports.Val = Val;
const WindowHeader = _styledComponents.default.h3`
  font-size: 18px;
  margin-bottom: 10px;
  margin-top: 10px;
`; // Mailables components

exports.WindowHeader = WindowHeader;
const MailablesList = _styledComponents.default.div`
  max-height: 120px;
  overflow-y: scroll;
`;
exports.MailablesList = MailablesList;
const mailableItemCss = (0, _styledComponents.css)`
  background-color: #eaeaea;
  display: block;
  margin: 0px 0px 2px 0px;
  max-width: 290px;
  padding: 3px 2px;
  width: 100%;
`;
const SelectableMailableButton = _styledComponents.default.button`
  ${mailableItemCss}
`;
exports.SelectableMailableButton = SelectableMailableButton;
const SelectedMailableContainer = _styledComponents.default.div`
  ${mailableItemCss}
`;
exports.SelectedMailableContainer = SelectedMailableContainer;
const SelectedMailableOptionsContainer = _styledComponents.default.div`
  align-items: center;
  display: flex;
  justify-content: space-between;
`;
exports.SelectedMailableOptionsContainer = SelectedMailableOptionsContainer;

//# sourceMappingURL=styled.js