"use strict";

require("core-js/modules/web.dom.iterable");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactRedux = require("react-redux");

var _form = require("../../actions/form");

var _contexts = require("../../util/contexts");

var _state = require("../../util/state");

var _styled = require("./styled");

var _userTripSettings = _interopRequireDefault(require("./user-trip-settings"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

// TODO: Button title should be bold when button is selected.
class ConnectedSettingsSelectorPanel extends _react.Component {
  render() {
    const {
      config,
      query,
      setQueryParam,
      showUserSettings
    } = this.props;
    const {
      ModeIcon
    } = this.context;
    return /*#__PURE__*/_react.default.createElement("div", {
      className: "settings-selector-panel"
    }, /*#__PURE__*/_react.default.createElement("div", {
      className: "modes-panel"
    }, showUserSettings && /*#__PURE__*/_react.default.createElement(_userTripSettings.default, null), /*#__PURE__*/_react.default.createElement(_styled.StyledSettingsSelectorPanel, {
      ModeIcon: ModeIcon,
      onQueryParamChange: setQueryParam,
      queryParams: query,
      supportedCompanies: config.companies,
      supportedModes: config.modes
    })));
  }

} // connect to redux store


_defineProperty(ConnectedSettingsSelectorPanel, "contextType", _contexts.ComponentContext);

const mapStateToProps = (state, ownProps) => {
  const {
    config,
    currentQuery
  } = state.otp;
  return {
    config,
    query: currentQuery,
    showUserSettings: (0, _state.getShowUserSettings)(state)
  };
};

const mapDispatchToProps = {
  setQueryParam: _form.setQueryParam
};

var _default = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(ConnectedSettingsSelectorPanel);

exports.default = _default;
module.exports = exports.default;

//# sourceMappingURL=connected-settings-selector-panel.js