"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _transitiveOverlay = _interopRequireDefault(require("@opentripplanner/transitive-overlay"));

var _reactRedux = require("react-redux");

var _state = require("../../util/state");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// connect to the redux store
const mapStateToProps = (state, ownProps) => {
  const {
    labeledModes,
    styles
  } = state.otp.config.map.transitive || {};
  const {
    viewedRoute
  } = state.otp.ui; // If the route viewer is active, do not show itinerary on map.
  // mainPanelContent is null whenever the trip planner is active.
  // Some views like the stop viewer can be accessed via the trip planner
  // or the route viewer, so include a route being viewed as a condition
  // for hiding

  if (state.otp.ui.mainPanelContent !== null && viewedRoute) {
    return {};
  }

  return {
    labeledModes,
    styles,
    transitiveData: (0, _state.getTransitiveData)(state, ownProps)
  };
};

var _default = (0, _reactRedux.connect)(mapStateToProps)(_transitiveOverlay.default);

exports.default = _default;
module.exports = exports.default;

//# sourceMappingURL=connected-transitive-overlay.js