"use strict";

require("core-js/modules/web.dom.iterable");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactRedux = require("react-redux");

var _fromToLocationPicker = _interopRequireDefault(require("@opentripplanner/from-to-location-picker"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _config = require("../../actions/config");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const PopupContainer = _styledComponents.default.div`
  width: 240px;
`;
const PopupTitle = _styledComponents.default.div`
  font-size: 14px;
  margin-bottom: 6px;
`;

function MapPopup({
  mapPopupLocation,
  onSetLocationFromPopup,
  setMapZoom,
  zoom
}) {
  // Zoom out if zoomed in very far
  (0, _react.useEffect)(() => {
    if (zoom > 15) {
      setMapZoom({
        zoom: 15
      });
    } // Only check zoom if popup appears in a new place

  }, [mapPopupLocation]);
  return /*#__PURE__*/_react.default.createElement(PopupContainer, null, /*#__PURE__*/_react.default.createElement(PopupTitle, null, mapPopupLocation.name.split(',').length > 3 ? mapPopupLocation.name.split(',').splice(0, 3).join(',') : mapPopupLocation.name), /*#__PURE__*/_react.default.createElement("div", null, "Plan a trip:", /*#__PURE__*/_react.default.createElement(_fromToLocationPicker.default, {
    location: mapPopupLocation,
    setLocation: onSetLocationFromPopup
  })));
}

const mapStateToProps = (state, ownProps) => {
  return {
    zoom: state.otp.config.map.initZoom
  };
};

const mapDispatchToProps = {
  setMapZoom: _config.setMapZoom
};

var _default = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(MapPopup);

exports.default = _default;
module.exports = exports.default;

//# sourceMappingURL=point-popup.js