"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _errorMessage = _interopRequireDefault(require("../form/error-message"));

var _editSearchButton = _interopRequireDefault(require("./edit-search-button"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * This component is used on mobile views to
 * render an error message if no results are found.
 */
const ResultsError = ({
  className,
  error
}) => /*#__PURE__*/_react.default.createElement("div", {
  className: `results-error-message ${className}`
}, /*#__PURE__*/_react.default.createElement(_errorMessage.default, {
  error: error
}), /*#__PURE__*/_react.default.createElement("div", {
  className: "options-lower-tray mobile-padding"
}, /*#__PURE__*/_react.default.createElement(_editSearchButton.default, {
  className: "back-to-search-button",
  style: {
    width: '100%'
  }
}, /*#__PURE__*/_react.default.createElement("i", {
  className: "fa fa-arrow-left"
}), " Back to Search")));

ResultsError.propTypes = {
  error: _propTypes.default.object
};
const StyledResultsError = (0, _styledComponents.default)(ResultsError)`
  top: 300px;
`;
var _default = StyledResultsError;
exports.default = _default;
module.exports = exports.default;

//# sourceMappingURL=results-error.js