"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = inactiveRenderer;

var _react = _interopRequireDefault(require("react"));

var _reactIntl = require("react-intl");

var _baseRenderer = _interopRequireDefault(require("./base-renderer"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Calculates various data for monitored trips that are have been set to an
 * inactive state by a user.
 */
function inactiveRenderer(monitoredTrip) {
  const data = (0, _baseRenderer.default)(monitoredTrip);
  data.headingText = /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
    id: "components.TripStatusRenderers.inactive.heading"
  });
  data.bodyText = /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
    id: "components.TripStatusRenderers.inactive.description"
  });
  data.shouldRenderAlerts = false;
  data.shouldRenderTogglePauseTripButton = true;
  return data;
}

module.exports = exports.default;

//# sourceMappingURL=inactive-renderer.js