"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = nextTripNotPossibleRenderer;

var _react = _interopRequireDefault(require("react"));

var _reactIntl = require("react-intl");

var _baseRenderer = _interopRequireDefault(require("./base-renderer"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Calculates various data for monitored trips where the next trip isn't
 * possible. The trip might still be possible on other days.
 */
function nextTripNotPossibleRenderer(monitoredTrip) {
  const data = (0, _baseRenderer.default)(monitoredTrip);
  data.headingText = /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
    id: "components.TripStatusRenderers.nextTripNotPossible.heading"
  });
  data.bodyText = /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
    id: "components.TripStatusRenderers.nextTripNotPossible.description"
  });
  data.shouldRenderAlerts = false;
  data.shouldRenderPlanNewTripButton = true;
  data.shouldRenderTogglePauseTripButton = true;
  return data;
}

module.exports = exports.default;

//# sourceMappingURL=next-trip-not-possible-renderer.js