"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactIntl = require("react-intl");

var _monitoredTrip = require("../../../util/monitored-trip");

var _formattedDayOfWeek = _interopRequireDefault(require("../../util/formatted-day-of-week"));

var _strongText = _interopRequireDefault(require("../../util/strong-text"));

var _tripSummary = _interopRequireDefault(require("./trip-summary"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Displays the summary information of a monitored trip.
 */
const TripSummaryPane = ({
  monitoredTrip
}) => {
  const {
    itinerary,
    leadTimeInMinutes
  } = monitoredTrip;

  if (!itinerary) {
    return /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
      id: "common.itineraryDescriptions.noItineraryToDisplay"
    }));
  } else {
    const days = /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedList, {
      type: "conjunction",
      value: (0, _monitoredTrip.dayFieldsToArray)(monitoredTrip).map(d => /*#__PURE__*/_react.default.createElement(_formattedDayOfWeek.default, {
        day: d,
        key: d
      }))
    });

    return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_tripSummary.default, {
      monitoredTrip: monitoredTrip
    }), /*#__PURE__*/_react.default.createElement("p", null, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
      id: "components.TripSummaryPane.happensOnDays",
      values: {
        days,
        strong: _strongText.default
      }
    })), /*#__PURE__*/_react.default.createElement("p", null, monitoredTrip.isActive ? /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
      id: 'components.TripSummaryPane.notifications',
      values: {
        leadTimeInMinutes,
        strong: _strongText.default
      }
    }) : /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
      id: 'components.TripSummaryPane.notificationsDisabled',
      values: {
        leadTimeInMinutes,
        strong: _strongText.default
      }
    })));
  }
};

var _default = TripSummaryPane;
exports.default = _default;
module.exports = exports.default;

//# sourceMappingURL=trip-summary-pane.js