"use strict";

require("core-js/modules/web.dom.iterable");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactBootstrap = require("react-bootstrap");

var _reactIntl = require("react-intl");

var _reactRedux = require("react-redux");

var userActions = _interopRequireWildcard(require("../../../actions/user"));

var _constants = require("../../../util/constants");

var _user2 = require("../../../util/user");

var _favoritePlaceRow = _interopRequireDefault(require("./favorite-place-row"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Renders an editable list user's favorite locations, and lets the user add a new one.
 * Additions, edits, and deletions of places take effect immediately.
 */
const FavoritePlacesList = ({
  deleteUserPlace,
  isCreating,
  loggedInUser
}) => {
  const {
    savedLocations
  } = loggedInUser;
  return /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(_reactBootstrap.ControlLabel, null, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
    id: "components.FavoritePlacesList.description"
  })), savedLocations.map((place, index) => /*#__PURE__*/_react.default.createElement(_favoritePlaceRow.default, {
    isFixed: (0, _user2.isHomeOrWork)(place),
    key: index,
    onDelete: () => deleteUserPlace(index),
    path: `${isCreating ? _constants.CREATE_ACCOUNT_PLACES_PATH : _constants.PLACES_PATH}/${index}`,
    place: place
  })), /*#__PURE__*/_react.default.createElement(_favoritePlaceRow.default, {
    path: `${_constants.PLACES_PATH}/new`
  }));
}; // connect to the redux store


const mapStateToProps = (state, ownProps) => {
  const path = state.router.location.pathname;
  const isCreating = path === _constants.CREATE_ACCOUNT_PLACES_PATH;
  return {
    isCreating,
    loggedInUser: state.user.loggedInUser
  };
};

const mapDispatchToProps = {
  deleteUserPlace: userActions.deleteUserPlace
};

var _default = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(FavoritePlacesList);

exports.default = _default;
module.exports = exports.default;

//# sourceMappingURL=favorite-places-list.js