"use strict";

require("core-js/modules/web.dom.iterable");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireWildcard(require("react"));

var _reactIntl = require("react-intl");

var _formNavigationButtons = _interopRequireDefault(require("./form-navigation-buttons"));

var _styled = require("./styled");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/**
 * This component handles the flow between screens for new OTP user accounts.
 */
const StackedPaneDisplay = ({
  onCancel,
  paneSequence,
  title
}) => {
  // Create indicator of if cancel button was clicked so that child components can know
  const [isBeingCanceled, updateBeingCanceled] = (0, _react.useState)(false);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, title && /*#__PURE__*/_react.default.createElement(_styled.PageHeading, null, title), paneSequence.map(({
    pane: Pane,
    props,
    title
  }, index) => /*#__PURE__*/_react.default.createElement(_styled.StackedPaneContainer, {
    key: index
  }, /*#__PURE__*/_react.default.createElement("h3", null, title), /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(Pane, _extends({
    canceled: isBeingCanceled
  }, props))))), /*#__PURE__*/_react.default.createElement(_formNavigationButtons.default, {
    backButton: {
      onClick: () => {
        updateBeingCanceled(true);
        onCancel();
      },
      text: /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
        id: "common.forms.cancel"
      })
    },
    okayButton: {
      text: /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
        id: "components.StackedPaneDisplay.savePreferences"
      }),
      type: 'submit'
    }
  }));
};

StackedPaneDisplay.propTypes = {
  onCancel: _propTypes.default.func.isRequired,
  paneSequence: _propTypes.default.array.isRequired
};
var _default = StackedPaneDisplay;
exports.default = _default;
module.exports = exports.default;

//# sourceMappingURL=stacked-pane-display.js