"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.IconWithMargin = exports.TripPanelFooter = exports.TripPanelHeading = exports.TripHeader = exports.SubNavLinks = exports.SubNavContainer = exports.StackedPaneContainer = exports.SequentialPaneContainer = exports.PageHeading = void 0;

var _reactBootstrap = require("react-bootstrap");

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _icon = _interopRequireDefault(require("../util/icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const PageHeading = _styledComponents.default.h2`
  margin: 10px 0px 45px 0px;
`;
exports.PageHeading = PageHeading;
const SequentialPaneContainer = _styledComponents.default.div`
  min-height: 20em;
`;
exports.SequentialPaneContainer = SequentialPaneContainer;
const StackedPaneContainer = _styledComponents.default.div`
  margin-bottom: 20px;
  padding-bottom: 20px;
  > h3 {
    margin-top: 0.5em;
    margin-bottom: 0.5em;
  }
`;
exports.StackedPaneContainer = StackedPaneContainer;
const SubNavContainer = _styledComponents.default.div`
  border-bottom: solid 1px #adadad;
  margin-bottom: 25px;
  padding: 5px 0px 10px 0px;
`;
exports.SubNavContainer = SubNavContainer;
const SubNavLinks = _styledComponents.default.div`
  margin-top: 11px;

  .btn-link {
    border-bottom: 3px solid transparent;
    font-size: 17px;
    margin-left: 8px;
    paddisng: 0px 3px;
  }

  .btn-link.active {
    border: none;
    border-bottom: 3px solid #adadad;
  }
`;
exports.SubNavLinks = SubNavLinks;
const TripHeader = _styledComponents.default.h3`
  margin-top: 0px;
`;
exports.TripHeader = TripHeader;
const TripPanelHeading = (0, _styledComponents.default)(_reactBootstrap.Panel.Heading)`
  background-color: white!important;
`;
exports.TripPanelHeading = TripPanelHeading;
const TripPanelFooter = (0, _styledComponents.default)(_reactBootstrap.Panel.Footer)`
  background-color: white!important;
  padding: 0px;
  button {
    border: 0px;
    padding: 13px 0px;
    width: 33.333%;
  }

  button:first-child {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
  }

  button:nth-child(2) {
    border-radius: 0;
    border-left: 1px solid #ddd;
    border-right: 1px solid #ddd;
  }

  button:last-child {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    border-bottom-left-radius: 0;
  }
`;
exports.TripPanelFooter = TripPanelFooter;
const IconWithMargin = (0, _styledComponents.default)(_icon.default)`
  margin-right: 0.5em;
`;
exports.IconWithMargin = IconWithMargin;

//# sourceMappingURL=styled.js