"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactBootstrap = require("react-bootstrap");

var _reactIntl = require("react-intl");

var _connectedLinks = require("../form/connected-links");

var _constants = require("../../util/constants");

var _styled = require("./styled");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * This component renders the sub navigation elements for Account pages.
 */
const SubNav = ({
  title
}) => /*#__PURE__*/_react.default.createElement(_styled.SubNavContainer, null, /*#__PURE__*/_react.default.createElement("div", {
  className: "container"
}, /*#__PURE__*/_react.default.createElement("h1", {
  style: {
    display: 'inline',
    paddingTop: '10px'
  }
}, title || /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
  id: "components.SubNav.myAccount"
})), /*#__PURE__*/_react.default.createElement(_styled.SubNavLinks, {
  className: "pull-right"
}, /*#__PURE__*/_react.default.createElement(_connectedLinks.LinkContainerWithQuery, {
  to: _constants.TRIPS_PATH
}, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Button, {
  bsStyle: "link"
}, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
  id: "components.SubNav.trips"
}))), /*#__PURE__*/_react.default.createElement(_connectedLinks.LinkContainerWithQuery, {
  to: _constants.ACCOUNT_SETTINGS_PATH
}, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Button, {
  bsStyle: "link"
}, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
  id: "components.SubNav.settings"
}))))));

var _default = SubNav;
exports.default = _default;
module.exports = exports.default;

//# sourceMappingURL=sub-nav.js