"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = FormattedDayOfWeekCompact;

var _react = _interopRequireDefault(require("react"));

var _reactIntl = require("react-intl");

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Returns a FormattedMessage component for the compact day of week such that i18n IDs
 * are hardcoded and can be kept track of by format.js tools
 */
function FormattedDayOfWeekCompact({
  day
}) {
  switch (day) {
    case 'monday':
      return /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
        id: "common.daysOfWeekCompact.monday"
      });

    case 'tuesday':
      return /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
        id: "common.daysOfWeekCompact.tuesday"
      });

    case 'wednesday':
      return /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
        id: "common.daysOfWeekCompact.wednesday"
      });

    case 'thursday':
      return /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
        id: "common.daysOfWeekCompact.thursday"
      });

    case 'friday':
      return /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
        id: "common.daysOfWeekCompact.friday"
      });

    case 'saturday':
      return /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
        id: "common.daysOfWeekCompact.saturday"
      });

    case 'sunday':
      return /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, {
        id: "common.daysOfWeekCompact.sunday"
      });

    default:
      return null;
  }
}

FormattedDayOfWeekCompact.propTypes = {
  day: _propTypes.default.string.isRequired
};
FormattedDayOfWeekCompact.defaultProps = {
  day: ''
};
module.exports = exports.default;

//# sourceMappingURL=formatted-day-of-week-compact.js