"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.URL_ROOT = exports.TERMS_OF_STORAGE_PATH = exports.TERMS_OF_SERVICE_PATH = exports.CREATE_TRIP_PATH = exports.CREATE_ACCOUNT_PLACES_PATH = exports.CREATE_ACCOUNT_VERIFY_PATH = exports.CREATE_ACCOUNT_TERMS_PATH = exports.CREATE_ACCOUNT_PATH = exports.PLACES_PATH = exports.TRIPS_PATH = exports.ACCOUNT_SETTINGS_PATH = exports.ACCOUNT_PATH = exports.FETCH_STATUS = exports.PERSISTENCE_STRATEGY_OTP_MIDDLEWARE = exports.DEFAULT_APP_TITLE = exports.AUTH0_SCOPE = exports.AUTH0_AUDIENCE = void 0;
const AUTH0_AUDIENCE = 'https://otp-middleware'; // This should match the value expected in otp-middleware OtpUser#AUTH0_SCOPE

exports.AUTH0_AUDIENCE = AUTH0_AUDIENCE;
const AUTH0_SCOPE = 'otp-user';
exports.AUTH0_SCOPE = AUTH0_SCOPE;
const DEFAULT_APP_TITLE = 'OpenTripPlanner';
exports.DEFAULT_APP_TITLE = DEFAULT_APP_TITLE;
const PERSISTENCE_STRATEGY_OTP_MIDDLEWARE = 'otp_middleware';
exports.PERSISTENCE_STRATEGY_OTP_MIDDLEWARE = PERSISTENCE_STRATEGY_OTP_MIDDLEWARE;
const FETCH_STATUS = {
  ERROR: -1,
  FETCHED: 2,
  FETCHING: 1,
  UNFETCHED: 0
};
exports.FETCH_STATUS = FETCH_STATUS;
const ACCOUNT_PATH = '/account';
exports.ACCOUNT_PATH = ACCOUNT_PATH;
const ACCOUNT_SETTINGS_PATH = `${ACCOUNT_PATH}/settings`;
exports.ACCOUNT_SETTINGS_PATH = ACCOUNT_SETTINGS_PATH;
const TRIPS_PATH = `${ACCOUNT_PATH}/trips`;
exports.TRIPS_PATH = TRIPS_PATH;
const PLACES_PATH = `${ACCOUNT_PATH}/places`;
exports.PLACES_PATH = PLACES_PATH;
const CREATE_ACCOUNT_PATH = `${ACCOUNT_PATH}/create`;
exports.CREATE_ACCOUNT_PATH = CREATE_ACCOUNT_PATH;
const CREATE_ACCOUNT_TERMS_PATH = `${CREATE_ACCOUNT_PATH}/terms`;
exports.CREATE_ACCOUNT_TERMS_PATH = CREATE_ACCOUNT_TERMS_PATH;
const CREATE_ACCOUNT_VERIFY_PATH = `${CREATE_ACCOUNT_PATH}/verify`;
exports.CREATE_ACCOUNT_VERIFY_PATH = CREATE_ACCOUNT_VERIFY_PATH;
const CREATE_ACCOUNT_PLACES_PATH = `${CREATE_ACCOUNT_PATH}/places`;
exports.CREATE_ACCOUNT_PLACES_PATH = CREATE_ACCOUNT_PLACES_PATH;
const CREATE_TRIP_PATH = `${TRIPS_PATH}/new`;
exports.CREATE_TRIP_PATH = CREATE_TRIP_PATH;
const TERMS_OF_SERVICE_PATH = `/terms-of-service`;
exports.TERMS_OF_SERVICE_PATH = TERMS_OF_SERVICE_PATH;
const TERMS_OF_STORAGE_PATH = `/terms-of-storage`; // Gets the root URL, e.g. https://otp-instance.example.com:8080, computed once for all.
// TODO: support root URLs that involve paths or subfolders, as in https://otp-ui.example.com/path-to-ui/

exports.TERMS_OF_STORAGE_PATH = TERMS_OF_STORAGE_PATH;
const URL_ROOT = `${window.location.protocol}//${window.location.host}`;
exports.URL_ROOT = URL_ROOT;

//# sourceMappingURL=constants.js