"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.addPrintViewClassToRootHtml = addPrintViewClassToRootHtml;
exports.clearClassFromRootHtml = clearClassFromRootHtml;

/**
 * @return the root <html> tag.
 */
function getRootHtmlTag() {
  return document.getElementsByTagName('html')[0];
}
/**
 * Add print-view class to the html tag on print layout components
 * to ensure that iOS scroll fix only applies to non-print views.
 */


function addPrintViewClassToRootHtml() {
  getRootHtmlTag().setAttribute('class', 'print-view');
}
/**
 * Remove class attribute from html tag,
 * for print layout components when componentWillUnmount runs.
 */


function clearClassFromRootHtml() {
  getRootHtmlTag().removeAttribute('class');
}

//# sourceMappingURL=print.js